Bug 175244 - RFE: docbook-tetex subpackage.
RFE: docbook-tetex subpackage.
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: docbook-utils (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ondrej Vasik
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-07 19:21 EST by Sam Varshavchik
Modified: 2008-07-10 16:52 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-10 16:52:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sam Varshavchik 2005-12-07 19:21:12 EST
Description of problem:

"Requires: jadetext tetex-dvips" pulls in over 100MB of additional stuff: all
the tetex packages, etc...  It's quite a mouthful.

There's already an existing docbook-utils-pdf subpackage that contains the
"db2pdf" and "docbook2pdf" wrappers.  So, there's already an established
precedent here.

How about moving the "docbook2tex", "docbook2texti" and "docbook2dvi" wrappers
to a new docbook-utils-tetex subpackage, together with the jadetex and
tetex-dvips, and remove all the requirement to install over 100MB of tetex
packags, for basic docbook stuff, even if you never use it?
Comment 1 Matthew Miller 2007-04-06 12:45:01 EDT
Fedora Core 5 and Fedora Core 6 are, as we're sure you've noticed, no longer
test releases. We're cleaning up the bug database and making sure important bug
reports filed against these test releases don't get lost. It would be helpful if
you could test this issue with a released version of Fedora or with the latest
development / test release. Thanks for your help and for your patience.

[This is a bulk message for all open FC5/FC6 test release bugs. I'm adding
myself to the CC list for each bug, so I'll see any comments you make after this
and do my best to make sure every issue gets proper attention.]
Comment 2 Ondrej Vasik 2007-05-21 05:55:17 EDT
It has nothing to do with test package, therefore changing this suggested
future-feature to devel version.
Comment 3 Ondrej Vasik 2008-07-10 16:52:34 EDT
Well, completely forgot to look into that bugzilla, sorry for long time without
response. Time to make review now. 
Requires: jedetex tetex-dvips is only for docbook-utils-pdf , docbook-utils
main-package requires openjade. Openjade/OpenSP requirements are necessary for
all backends except texi and man. I guess this should be kept. I don't see any
TeX requirements for main package, but maybe I'm blind - they are only for pdf
subpackage and are needed for those backends. 
Feel free to add comments if I missed something, but closing that bugzilla
NOTABUG as I don't see any reason to split the packages once more
time(jadetex/dvips utilities are already all in pdf subpackage).
Btw. docbook2dvi requires jadetex, but docbook2tex and docbook2texi not, they
need openjade/nsgmls/sgmlspl. Now I'm going to split TeX part of xmlto, so you
will have other cheap TeX free converting solution in Fedora anyway(xml-base).

Note You need to log in before you can comment on or make changes to this bug.